Bug 996138 - [abrt] install_grouplist:UnicodeDecodeError during 'dnf group install'
Summary: [abrt] install_grouplist:UnicodeDecodeError during 'dnf group install'
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:72545a08e43da1f98700979b26f...
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-12 13:40 UTC by František Zatloukal
Modified: 2013-08-16 23:05 UTC (History)
2 users (show)

Fixed In Version: dnf-0.3.11-1.git7d717c7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 23:05:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.29 KB, text/plain)
2013-08-12 13:40 UTC, František Zatloukal
no flags Details
File: environ (1.77 KB, text/plain)
2013-08-12 13:40 UTC, František Zatloukal
no flags Details

Description František Zatloukal 2013-08-12 13:40:00 UTC
Description of problem:
dnf group install crashes when used to install group which name was translated and non-ascii characters were used.
For example installing "Pracovní plochy KDE Plasma" (czech translation for KDE group).

Version-Release number of selected component:
dnf-0.3.10-2.giteb9dddb.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /bin/dnf group install 'Pracovn\xc3\xad' plochy KDE Plasma
executable:     /bin/dnf
kernel:         3.11.0-0.rc4.git0.2.fc20.x86_64
runlevel:       unknown
type:           Python
uid:            0

Truncated backtrace:
cli.py:894:install_grouplist:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 7: ordinal not in range(128)

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 292, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1293, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 883, in doCommand
    return self.base.install_grouplist(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 894, in install_grouplist
    msg = _('Warning: Group %s does not exist.') % group_string
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 7: ordinal not in range(128)

Local variables in innermost frame:
grouplist: ['Pracovn\xc3\xad', 'plochy', 'KDE', 'Plasma']
pkgs_used: []
self: <dnf.cli.cli.YumBaseCli object at 0xf0cd10>
group_string: 'Pracovn\xc3\xad'
groups: []
matched: []

Comment 1 František Zatloukal 2013-08-12 13:40:05 UTC
Created attachment 785688 [details]
File: backtrace

Comment 2 František Zatloukal 2013-08-12 13:40:09 UTC
Created attachment 785689 [details]
File: environ

Comment 3 František Zatloukal 2013-08-12 13:54:13 UTC
Bug doesn't appear if quotation marks are used.

Comment 4 František Zatloukal 2013-08-12 19:41:10 UTC
Sorry but as I am looking at it, quotation marks must be used, so I am closing this bug as it really isn't a bug.

Comment 5 Ales Kozumplik 2013-08-13 07:25:19 UTC
In fact, you should never see a traceback with DNF, not even if you put the input in wrong. I'll see if I can reproduce.

Comment 6 Ales Kozumplik 2013-08-13 08:07:05 UTC
This traceback is fixed by 83c6c89, will be included in dnf-0.3.11.

Comment 7 Fedora Update System 2013-08-13 10:47:30 UTC
dnf-0.3.11-1.git7d717c7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnf-0.3.11-1.git7d717c7.fc19

Comment 8 Fedora Update System 2013-08-15 02:33:55 UTC
Package dnf-0.3.11-1.git7d717c7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.3.11-1.git7d717c7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14693/dnf-0.3.11-1.git7d717c7.fc19
then log in and leave karma (feedback).

Comment 9 František Zatloukal 2013-08-15 11:26:56 UTC
Fix confirmed in Rawhide.

Comment 10 Fedora Update System 2013-08-16 23:05:54 UTC
dnf-0.3.11-1.git7d717c7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.